{% extends "index.html" %}

{% block content %}
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <table class="table table-dark table-striped">
        <thead>
        <tr>
            <th scope="col">Name</th>
            <th scope="col">Admission year</th>
            <th scope="col">Graduation year</th>
            <th scope="col">Edit</th>
            <th scope="col">Delete</th>
        </tr>
        </thead>
        <tbody>
        {% for group in object_list %}
            <tr>
                <td>{{ group.group_name }}</td>
                <td>{{ group.admission_year }}</td>
                <td>{{ group.graduation_year }}</td>
                <td><a type="button" class="btn btn-warning"
                       href="{% url "groups:update_group" group.id %}">Edit</a></td>
                <td><a type="button" class="btn btn-danger"
                       href="{% url "groups:delete_group" group.id %}">Delete</a></td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
